### Method

# Foundry TestManager list_tests

#### Declaration [src]

    DexFuture*
    foundry_test_manager_list_tests (
      FoundryTestManager* self
    )

#### Description [src]

Queries all `FoundryTestProvider` for available unit tests.

The resulting module may not be fully populated by all providers by time it resolves. You may await the completion of all providers by awaiting `foundry_list_model_await()` for the completion of all providers.

This allows the consumer to get a dynamically populating list model for user interfaces without delay.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryTest`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.